Bug 561682 (CVE-2010-0410) - CVE-2010-0410 kernel: OOM/crash in drivers/connector
Summary: CVE-2010-0410 kernel: OOM/crash in drivers/connector
Status: CLOSED ERRATA
Alias: CVE-2010-0410
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20100204,public=20100202,sou...
Keywords: Security
Depends On: 547593 561683 561684 561685 586025
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-04 04:49 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:55 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-03-28 08:58:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0161 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-03-23 15:42:25 UTC
Red Hat Product Errata RHSA-2010:0398 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-05-06 18:49:33 UTC

Description Eugene Teo (Security Response) 2010-02-04 04:49:02 UTC
Description of problem:
A problem was found in the drivers/connector/connector.c code where users could send/allocate arbitrary amounts of NETLINK_CONNECTOR messages to the kernel, causing OOM condition, killing selected processes or halting the system.

This is fixed in mainline commit f98bfbd78c37c5946cc53089da32a5f741efdeb7 by removing the code.

commit f98bfbd78c37c5946cc53089da32a5f741efdeb7
Author: Evgeniy Polyakov <zbr@ioremap.net>
Date:   Tue Feb 2 15:58:48 2010 -0800

    connector: Delete buggy notification code.

    On Tue, Feb 02, 2010 at 02:57:14PM -0800, Greg KH (gregkh@suse.de) wrote:
    > > There are at least two ways to fix it: using a big cannon and a small
    > > one. The former way is to disable notification registration, since it is
    > > not used by anyone at all. Second way is to check whether calling
    > > process is root and its destination group is -1 (kind of priveledged
    > > one) before command is dispatched to workqueue.
    >
    > Well if no one is using it, removing it makes the most sense, right?
    >
    > No objection from me, care to make up a patch either way for this?

    Getting it is not used, let's drop support for notifications about
    (un)registered events from connector.
    Another option was to check credentials on receiving, but we can always
    restore it without bugs if needed, but genetlink has a wider code base
    and none complained, that userspace can not get notification when some
    other clients were (un)registered.

    Kudos for Sebastian Krahmer <krahmer@suse.de>, who found a bug in the
    code.

    Signed-off-by: Evgeniy Polyakov <zbr@ioremap.net>
    Acked-by: Greg Kroah-Hartman <gregkh@suse.de>
    Signed-off-by: David S. Miller <davem@davemloft.net>

Acknowledgements:

Red Hat would like to thank Sebastian Krahmer for reporting this issue.

Comment 2 Fedora Update System 2010-02-09 22:14:46 UTC
kernel-2.6.31.12-174.2.17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.31.12-174.2.17.fc12

Comment 3 Fedora Update System 2010-02-11 11:34:21 UTC
kernel-2.6.30.10-105.2.23.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.10-105.2.23.fc11

Comment 4 Fedora Update System 2010-02-11 12:03:50 UTC
kernel-2.6.31.12-174.2.19.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.31.12-174.2.19.fc12

Comment 5 Fedora Update System 2010-02-12 04:47:56 UTC
kernel-2.6.30.10-105.2.23.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-02-16 13:18:07 UTC
kernel-2.6.31.12-174.2.19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2010-03-23 15:42:51 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0161 https://rhn.redhat.com/errata/RHSA-2010-0161.html

Comment 9 errata-xmlrpc 2010-05-06 18:49:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0398 https://rhn.redhat.com/errata/RHSA-2010-0398.html


Note You need to log in before you can comment on or make changes to this bug.